import serial
import time

# Echo client program
import socket

HOST = 'kybernet.org'    # The remote host
PORT = 52342             # The same port as used by the server

def send_sensor_value(name, value):
    print "trying to connect to %s:%d" % (HOST, PORT)
    try:
        s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        s.connect((HOST, PORT))
        msg = "%s:%d" %(name, value)
        s.send(msg)
        print "sent %s" % msg
        s.close()
    except:
        print "Could not send data. Server not listening!"

ser = serial.Serial(0, 9600,timeout=0.5)

# send a sensor packet when count
count = 0

active = 0
active_kueche = 0
closed = 0

print "now entering infinite sensory loop"

while 1==1:
    # read bewegungsmelder
    ser.write(chr(0))
    x = ser.read(1)
    if len(x) == 1:
        if ord(x) == 255:
            print 'move'
            active += 1
    else:
        print 'move offline...pleaze reconnect!'
        
    count += 1

    # tuerschloss
    ser.write(chr(1))
    x = ser.read(1)
    if len(x) == 1:
        if ord(x) == 255:
            print 'schloss'
            closed = 255
    else:
        print 'schloss offline...pleaze reconnect!'
    
    # kuechen bewegungsmelder
    ser.write(chr(2))
    x = ser.read(1)
    if len(x) == 1:
        if ord(x) == 255:
            print "move kueche"
            active_kueche += 1
    else:
       print "kueche offline..pleaze reconnect!"


    time.sleep(0.5)

    if count >= 200:
        print 'sending sensor data'
	#if active != 0:
        send_sensor_value("mainroom_move1", active)
        #if closed != 0:
	send_sensor_value("door_lock", closed)
        send_sensor_value("kitchen_move", active_kueche)
	count = 0
        active = 0
        closed = 0
        active_kueche = 0

